liblog-any-perl - Perl module to log messages safely and efficiently

Distribution: Debian 8 (Jessie)
Repository: Debian Main i386
Package name: liblog-any-perl
Package version: 0.15
Package release: 1
Package architecture: all
Package type: deb
Installed size: 83 B
Download size: 22.79 KB
Official Mirror:
Log::Any allows CPAN modules to safely and efficiently log messages, while letting the application choose (or decline to choose) a logging mechanism such as Log::Dispatch or Log::Log4perl. Log::Any has a very tiny footprint and no dependencies beyond Perl 5.6, which makes it appropriate for even small CPAN modules to use. It defaults to 'null' logging activity, so a module can safely log without worrying about whether the application has chosen (or will ever choose) a logging mechanism. The application, in turn, may choose one or more logging mechanisms via Log::Any::Adapter.




    Source package: liblog-any-perl

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install liblog-any-perl deb package:
      # sudo apt-get install liblog-any-perl


    • /usr/share/doc/liblog-any-perl/changelog.Debian.gz
    • /usr/share/doc/liblog-any-perl/changelog.gz
    • /usr/share/doc/liblog-any-perl/copyright
    • /usr/share/man/man3/Log::Any.3pm.gz
    • /usr/share/man/man3/Log::Any::Adapter::Core.3pm.gz
    • /usr/share/man/man3/Log::Any::Adapter::Null.3pm.gz
    • /usr/share/man/man3/Log::Any::Test.3pm.gz
    • /usr/share/perl5/Log/
    • /usr/share/perl5/Log/Any/
    • /usr/share/perl5/Log/Any/Adapter/
    • /usr/share/perl5/Log/Any/Adapter/
    • /usr/share/perl5/Log/Any/Adapter/


    2013-04-14 - Xavier Guimard <> liblog-any-perl (0.15-1) unstable; urgency=low [ Salvatore Bonaccorso ] * Change Vcs-Git to canonical URI (git:// * Change based URIs to based URIs [ Xavier Guimard ] * Imported Upstream version 0.15 * Remove POD patch, now included in upstream * Update debian/copyright years

    2012-12-24 - Xavier Guimard <> liblog-any-perl (0.14-1) unstable; urgency=low * Take over for the Debian Perl Group on maintainer's request ( * Imported Upstream version 0.14 * Update source format to 3.0 (quilt) * Bump Standards-Version to 3.9.4 * Bump debhelper compatibility to 8 * Remove README from docs * Update debian/control description * Update debian/copyright (years and format) * Add patch to add whatis entries in POD

    2010-03-22 - Ivan Kohler <> liblog-any-perl (0.11-1) unstable; urgency=low * Initial Release (closes: Bug#575035).